#ifndef CARDS_H
#define CARDS_H

#include "grouper.h"
#include "interface.h"

#define DeckX					141			// deck dimensions
#define DeckY					17
#define DeckDX					19
#define DeckDY					126
#define DeckCardDY			26				// base card dimensions
#define DeckCardY				DeckY + DeckDY - DeckCardDY
#define DeckNumberX			DeckX + 3
#define DeckNumberY			DeckCardY + 7
#define DeckNumberDX			3				// distance to offset a single digit
#define DeckMaxCardsDrawn	21
#define SampleDX				10
#define SampleDY				10

// card architecture definitions
#define CardX    		30
#define CardY    		40
#define CardEndY 		5
#define CardDiam 		3
#define NoDiam   		0
#define DiamEllipse	4

#define PatternWhite	0
#define PatternGray	1
#define PatternBlack	8

#define MarkDY				10
#define MarkSquareX		9
#define MarkEllipseX		6
#define MarkPeanutX		4
#define MarkEllipseDX	16
#define MarkPeanutDX		6
#define MarkPeanutDY		7
#define MarkPeanutDiff	3

#define NumPeanutSquares	4
#define MarkPeanutFillerY	3
#define MarkPeanutFillerDX MarkPeanutDX * 3 + 1
#define MarkPeanutFillerDY 4


typedef enum { markSquare = 0, markEllipse, markPeanut, markPeanutSquare } MarkType;
typedef enum { colorWhite = 0, colorGray, colorBlack } GameColorType;


// drawing functions
void DeckInit(DeckPtr deck);
void DrawCard(CardType card, int x, int y, Boolean fSelected, Boolean fNewDealed);
void DrawCardsLeft(DeckPtr deck);
void DrawDeck(Boolean fDraw, DeckPtr deck);
void DrawPatternSample(GameColorType sampleColor, int x, int y);

// utility functions
int GetPattern(GameColorType color);

#endif
